Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.trace
Class PrintTraceListener

    java.lang.Object
      |
      +--org.apache.xalan.trace.PrintTraceListener

public class PrintTraceListener
extends java.lang.Object
implements TraceListener

**For advanced use only** Implementation of the TraceListener interface that prints each event to standard out as it occurs.

See Also:
  `TracerEvent.java`

Field Summary
`boolean` | `m_traceElements` **For advanced use only** Set to true if the listener is to print events that occur as each node is 'executed' in the stylesheet.
`boolean` | `m_traceGeneration` **For advanced use only** Set to true if the listener is to print information after each result-tree generation event.
`boolean` | `m_traceSelection` **For advanced use only** Set to true if the listener is to print information after each selection event.
`boolean` | `m_traceTemplates` **For advanced use only** This needs to be set to true if the listener is to print an event whenever a template is invoked.

Constructor Summary
`PrintTraceListener(java.io.PrintWriter pw)` **For advanced use only** Construct a trace listener.

Method Summary
`void` | `generated(GenerateEvent ev)` **For advanced use only** Print information about a Generate event.
`void` | `selected(SelectionEvent ev)` **For advanced use only** Method that is called just after the formatter listener is called.
`void` | `trace(TracerEvent ev)` **For advanced use only** Print information about a TracerEvent.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_traceTemplates

    public boolean m_traceTemplates

  **For advanced use only** This needs to be set to true if the listener is to print an event whenever a template is invoked.

### m_traceElements

    public boolean m_traceElements

  **For advanced use only** Set to true if the listener is to print events that occur as each node is 'executed' in the stylesheet.

### m_traceGeneration

    public boolean m_traceGeneration

  **For advanced use only** Set to true if the listener is to print information after each result-tree generation event.

### m_traceSelection

    public boolean m_traceSelection

  **For advanced use only** Set to true if the listener is to print information after each selection event.

Constructor Detail

### PrintTraceListener

    public PrintTraceListener(java.io.PrintWriter pw)

  **For advanced use only** Construct a trace listener.

Method Detail

### trace

    public void trace(TracerEvent ev)

  **For advanced use only** Print information about a TracerEvent.
  Specified by:
    trace in interface TraceListener
  Parameters:
    `ev` - the trace event.

### selected

    public void selected(SelectionEvent ev)
                  throws SAXException

  **For advanced use only** Method that is called just after the formatter listener is called.
  Specified by:
    selected in interface TraceListener
  Parameters:
    `ev` - the generate event.

### generated

    public void generated(GenerateEvent ev)

  **For advanced use only** Print information about a Generate event.
  Specified by:
    generated in interface TraceListener
  Parameters:
    `ev` - the trace event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.